package com.lemon.lifecenter.dto;

import org.springframework.stereotype.Repository;

@Repository
public class PatientDTO {
    // patient_care
    private int patientIdx;
    private String patientName;
    private String gender;
    private String wardNumber;
    private String roomNumber;
    private String finamClinicDate;
    private String hospitalizationDate;
    private String state;
    private String centerCode;
    private String jumin;
    private String patientPhone;
    private String guardianPhone;
    private String symptomStartDate;
    private String confirmationDate;
    private String disisolationDate;
    private String basalDiseaseYn;
    private String drugYn;
    private String drugContent;
    private String pregnancyStatus;
    private String pregnancyWeek;
    private String id;
    private String createDate;
    private String updateDate;
    private String createBy;
    private String updateBy;
    private String num;
    private String age;
    private String startDate;
    private String endDate;
    private String pw;
    
    // patient_disease
    private String highBloodPressureCheck;
    private String lowBloodPressureCheck;
    private String organTransplantCheck;
    private String diabetesCheck;
    private String respiratoryDiseaseCheck;
    private String immunologicalDiseaseCheck;
    private String dyspneaCheck;
    private String coldFitCheck;
    private String musclePainCheck;
    private String headacheCheck;
    private String soreThroatCheck;
    private String smellPalateCheck;
    private String fatigueCheck;
    private String heartDisease;
    private String liverDisease;
    private String operation;
    private String operationContent;
    private String allergyCheck;
    private String kidneyDisease;
    private String cancerCheck;
    private String cancerName;
    private String etcCheck;
    private String etcContent;
    
    //patient_symptom
    private String feverCheck;
    private String coughCheck;
    private String colic;
    //private String coldFitCheck;
    private String sputumCheck;
    private String ocinCheck;
    private String feverRight;
    private String feverLeft;
    //private String fatigueCheck;
    //private String etcCheck;
    //private String etcContent;
    private String chestPain;
    private String noseCheck;
    private String vomitingCheck;
    //private String musclePainCheck;
    //private String soreThroatCheck;
    private String diarrheaCheck;
    //private String headacheCheck;
    //private String dyspneaCheck;
    private String pulseRate;
    private String respirationRate;
    private String bloodPressureLevel;
    private String oxygenSaturation;
    
    private int limit;
    private int limitMax;
    
    
    public String getFeverCheck() {
        return feverCheck;
    }
    public void setFeverCheck(String feverCheck) {
        this.feverCheck = feverCheck;
    }
    public String getCoughCheck() {
        return coughCheck;
    }
    public void setCoughCheck(String coughCheck) {
        this.coughCheck = coughCheck;
    }
    public String getColic() {
        return colic;
    }
    public void setColic(String colic) {
        this.colic = colic;
    }
    public String getSputumCheck() {
        return sputumCheck;
    }
    public void setSputumCheck(String sputumCheck) {
        this.sputumCheck = sputumCheck;
    }
    public String getOcinCheck() {
        return ocinCheck;
    }
    public void setOcinCheck(String ocinCheck) {
        this.ocinCheck = ocinCheck;
    }
    public String getFeverRight() {
        return feverRight;
    }
    public void setFeverRight(String feverRight) {
        this.feverRight = feverRight;
    }
    public String getFeverLeft() {
        return feverLeft;
    }
    public void setFeverLeft(String feverLeft) {
        this.feverLeft = feverLeft;
    }
    public String getChestPain() {
        return chestPain;
    }
    public void setChestPain(String chestPain) {
        this.chestPain = chestPain;
    }
    public String getNoseCheck() {
        return noseCheck;
    }
    public void setNoseCheck(String noseCheck) {
        this.noseCheck = noseCheck;
    }
    public String getVomitingCheck() {
        return vomitingCheck;
    }
    public void setVomitingCheck(String vomitingCheck) {
        this.vomitingCheck = vomitingCheck;
    }
    public String getDiarrheaCheck() {
        return diarrheaCheck;
    }
    public void setDiarrheaCheck(String diarrheaCheck) {
        this.diarrheaCheck = diarrheaCheck;
    }
    public String getPulseRate() {
        return pulseRate;
    }
    public void setPulseRate(String pulseRate) {
        this.pulseRate = pulseRate;
    }
    public String getRespirationRate() {
        return respirationRate;
    }
    public void setRespirationRate(String respirationRate) {
        this.respirationRate = respirationRate;
    }
    public String getBloodPressureLevel() {
        return bloodPressureLevel;
    }
    public void setBloodPressureLevel(String bloodPressureLevel) {
        this.bloodPressureLevel = bloodPressureLevel;
    }
    public String getOxygenSaturation() {
        return oxygenSaturation;
    }
    public void setOxygenSaturation(String oxygenSaturation) {
        this.oxygenSaturation = oxygenSaturation;
    }
    public String getHighBloodPressureCheck() {
        return highBloodPressureCheck;
    }
    public void setHighBloodPressureCheck(String highBloodPressureCheck) {
        this.highBloodPressureCheck = highBloodPressureCheck;
    }
    public String getLowBloodPressureCheck() {
        return lowBloodPressureCheck;
    }
    public void setLowBloodPressureCheck(String lowBloodPressureCheck) {
        this.lowBloodPressureCheck = lowBloodPressureCheck;
    }
    public String getOrganTransplantCheck() {
        return organTransplantCheck;
    }
    public void setOrganTransplantCheck(String organTransplantCheck) {
        this.organTransplantCheck = organTransplantCheck;
    }
    public String getDiabetesCheck() {
        return diabetesCheck;
    }
    public void setDiabetesCheck(String diabetesCheck) {
        this.diabetesCheck = diabetesCheck;
    }
    public String getRespiratoryDiseaseCheck() {
        return respiratoryDiseaseCheck;
    }
    public void setRespiratoryDiseaseCheck(String respiratoryDiseaseCheck) {
        this.respiratoryDiseaseCheck = respiratoryDiseaseCheck;
    }
    public String getImmunologicalDiseaseCheck() {
        return immunologicalDiseaseCheck;
    }
    public void setImmunologicalDiseaseCheck(String immunologicalDiseaseCheck) {
        this.immunologicalDiseaseCheck = immunologicalDiseaseCheck;
    }
    public String getDyspneaCheck() {
        return dyspneaCheck;
    }
    public void setDyspneaCheck(String dyspneaCheck) {
        this.dyspneaCheck = dyspneaCheck;
    }
    public String getColdFitCheck() {
        return coldFitCheck;
    }
    public void setColdFitCheck(String coldFitCheck) {
        this.coldFitCheck = coldFitCheck;
    }
    public String getMusclePainCheck() {
        return musclePainCheck;
    }
    public void setMusclePainCheck(String musclePainCheck) {
        this.musclePainCheck = musclePainCheck;
    }
    public String getHeadacheCheck() {
        return headacheCheck;
    }
    public void setHeadacheCheck(String headacheCheck) {
        this.headacheCheck = headacheCheck;
    }
    public String getSoreThroatCheck() {
        return soreThroatCheck;
    }
    public void setSoreThroatCheck(String soreThroatCheck) {
        this.soreThroatCheck = soreThroatCheck;
    }
    public String getSmellPalateCheck() {
        return smellPalateCheck;
    }
    public void setSmellPalateCheck(String smellPalateCheck) {
        this.smellPalateCheck = smellPalateCheck;
    }
    public String getFatigueCheck() {
        return fatigueCheck;
    }
    public void setFatigueCheck(String fatigueCheck) {
        this.fatigueCheck = fatigueCheck;
    }
    public String getHeartDisease() {
        return heartDisease;
    }
    public void setHeartDisease(String heartDisease) {
        this.heartDisease = heartDisease;
    }
    public String getLiverDisease() {
        return liverDisease;
    }
    public void setLiverDisease(String liverDisease) {
        this.liverDisease = liverDisease;
    }
    public String getOperation() {
        return operation;
    }
    public void setOperation(String operation) {
        this.operation = operation;
    }
    public String getOperationContent() {
        return operationContent;
    }
    public void setOperationContent(String operationContent) {
        this.operationContent = operationContent;
    }
    public String getAllergyCheck() {
        return allergyCheck;
    }
    public void setAllergyCheck(String allergyCheck) {
        this.allergyCheck = allergyCheck;
    }
    public String getKidneyDisease() {
        return kidneyDisease;
    }
    public void setKidneyDisease(String kidneyDisease) {
        this.kidneyDisease = kidneyDisease;
    }
    public String getCancerCheck() {
        return cancerCheck;
    }
    public void setCancerCheck(String cancerCheck) {
        this.cancerCheck = cancerCheck;
    }
    public String getCancerName() {
        return cancerName;
    }
    public void setCancerName(String cancerName) {
        this.cancerName = cancerName;
    }
    public String getEtcCheck() {
        return etcCheck;
    }
    public void setEtcCheck(String etcCheck) {
        this.etcCheck = etcCheck;
    }
    public String getEtcContent() {
        return etcContent;
    }
    public void setEtcContent(String etcContent) {
        this.etcContent = etcContent;
    }
    public int getPatientIdx() {
        return patientIdx;
    }
    public void setPatientIdx(int patientIdx) {
        this.patientIdx = patientIdx;
    }
    public String getPatientName() {
        return patientName;
    }
    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }
    public String getGender() {
        return gender;
    }
    public void setGender(String gender) {
        this.gender = gender;
    }
    public String getWardNumber() {
        return wardNumber;
    }
    public void setWardNumber(String wardNumber) {
        this.wardNumber = wardNumber;
    }
    public String getRoomNumber() {
        return roomNumber;
    }
    public void setRoomNumber(String roomNumber) {
        this.roomNumber = roomNumber;
    }
    public String getFinamClinicDate() {
        return finamClinicDate;
    }
    public void setFinamClinicDate(String finamClinicDate) {
        this.finamClinicDate = finamClinicDate;
    }
    public String getHospitalizationDate() {
        return hospitalizationDate;
    }
    public void setHospitalizationDate(String hospitalizationDate) {
        this.hospitalizationDate = hospitalizationDate;
    }
    public String getState() {
        return state;
    }
    public void setState(String state) {
        this.state = state;
    }
    public String getCenterCode() {
        return centerCode;
    }
    public void setCenterCode(String centerCode) {
        this.centerCode = centerCode;
    }
    public String getJumin() {
        return jumin;
    }
    public void setJumin(String jumin) {
        this.jumin = jumin;
    }
    public String getPatientPhone() {
        return patientPhone;
    }
    public void setPatientPhone(String patientPhone) {
        this.patientPhone = patientPhone;
    }
    public String getGuardianPhone() {
        return guardianPhone;
    }
    public void setGuardianPhone(String guardianPhone) {
        this.guardianPhone = guardianPhone;
    }
    public String getSymptomStartDate() {
        return symptomStartDate;
    }
    public void setSymptomStartDate(String symptomStartDate) {
        this.symptomStartDate = symptomStartDate;
    }
    public String getConfirmationDate() {
        return confirmationDate;
    }
    public void setConfirmationDate(String confirmationDate) {
        this.confirmationDate = confirmationDate;
    }
    public String getDisisolationDate() {
        return disisolationDate;
    }
    public void setDisisolationDate(String disisolationDate) {
        this.disisolationDate = disisolationDate;
    }
    public String getBasalDiseaseYn() {
        return basalDiseaseYn;
    }
    public void setBasalDiseaseYn(String basalDiseaseYn) {
        this.basalDiseaseYn = basalDiseaseYn;
    }
    public String getDrugYn() {
        return drugYn;
    }
    public void setDrugYn(String drugYn) {
        this.drugYn = drugYn;
    }
    public String getDrugContent() {
        return drugContent;
    }
    public void setDrugContent(String drugContent) {
        this.drugContent = drugContent;
    }
    public String getPregnancyStatus() {
        return pregnancyStatus;
    }
    public void setPregnancyStatus(String pregnancyStatus) {
        this.pregnancyStatus = pregnancyStatus;
    }
    public String getPregnancyWeek() {
        return pregnancyWeek;
    }
    public void setPregnancyWeek(String pregnancyWeek) {
        this.pregnancyWeek = pregnancyWeek;
    }
    public String getId() {
        return id;
    }
    public void setId(String id) {
        this.id = id;
    }
    public String getCreateDate() {
        return createDate;
    }
    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }
    public String getUpdateDate() {
        return updateDate;
    }
    public void setUpdateDate(String updateDate) {
        this.updateDate = updateDate;
    }
    public String getCreateBy() {
        return createBy;
    }
    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public String getUpdateBy() {
        return updateBy;
    }
    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }
    public String getNum() {
        return num;
    }
    public void setNum(String num) {
        this.num = num;
    }
    public String getAge() {
        return age;
    }
    public void setAge(String age) {
        this.age = age;
    }
    public String getStartDate() {
        return startDate;
    }
    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }
    public String getEndDate() {
        return endDate;
    }
    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }
    public String getPw() {
        return pw;
    }
    public void setPw(String pw) {
        this.pw = pw;
    }
    public int getLimit() {
        return limit;
    }
    public void setLimit(int limit) {
        this.limit = limit;
    }
    public int getLimitMax() {
        return limitMax;
    }
    public void setLimitMax(int limitMax) {
        this.limitMax = limitMax;
    }
}
